
QGIS Application - Bug report #20935

QGIS crashes when opening configurations -> options

2019-01-07 05:39 PM - Juan Carlos Linares

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.3 Regression?: No

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28754

Description

Se cierra cuando trato de abrir: Configuracion - opciones.

Crash ID: 4b6d7dc7357126c9a6c1ffee8b75a2d97c61ba20

Stack Trace

QgsQtLocationConnection::startSatelliteMonitor :

QgsQtLocationConnection::startSatelliteMonitor :

QgsQtLocationConnection::startSatelliteMonitor :

QgsOpenClUtils::init :

QgsQtLocationConnection::startSatelliteMonitor :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

_crtInitOnceExecuteOnce :

QgsOpenClUtils::errorText :

QgsOpenClUtils::activeDevice :

QgsOpenClUtils::activate :

QgsQtLocationConnection::startSatelliteMonitor :

QgsQtLocationConnection::startSatelliteMonitor :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

_crtInitOnceExecuteOnce :

QgsOpenClUtils::init :

QgsOpenClUtils::available :

QgsOptions::~QgsOptions :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::setChecked :

QgsOptions::QgsOptions :

QgisApp::createOptionsDialog :

QgisApp::showOptionsDialog :

QgisApp::options :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: 2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 20363: QGIS 3.4.1 : CRASH : Settin... Closed 2018-11-05

History

#1 - 2019-01-07 05:43 PM - Giovanni Manghi

- Subject changed from Error  to QGIS crashes when opening configurations -> options

- Category changed from Actions to Build/Install

- Status changed from Open to Feedback

Please try with a new/clean profile.

#2 - 2019-01-07 06:32 PM - Alessandro Pasotti

- Duplicates Bug report #20363: QGIS 3.4.1 : CRASH : Settings->Options (OpenCL related) added
#3 - 2019-01-07 07:42 PM - Juan Carlos Linares

- Assignee set to Giovanni Manghi

Mucahs Gracias, problema resuelto!!!

#4 - 2019-01-07 07:43 PM - Juan Carlos Linares

Juan Carlos Linares wrote:

Muchas Gracias, problema resuelto!!!

#5 - 2019-01-07 07:50 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

- Assignee deleted (Giovanni Manghi)
